<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account Information - Auto Repairs</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

</head>

<body>
    <!--
        ----------------------------------------------------------------------------
        Nav bar
        ----------------------------------------------------------------------------
    -->
    <header>
        <nav class="navbar navbar-expand-sm navbar-light bg-light">
            <div class="container-fluid">
                <a class="navbar-brand" href="../index.html">Auto Repairs</a>
                <!-- Responsive navbar expander for narrow viewports -->
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link active" aria-current="page" href="../index.html">Home</a>
                        </li>
                        <li class="nav-item" id="login-nav-item">
                            <a class="nav-link" href="../accounts/login.html">Log In</a>
                        </li>
                        <li class="nav-item" id="create-account-nav-item">
                            <a class="nav-link" href="../accounts/create-account.html">Create Account</a>
                        </li>
                        <li class="nav-item" id="repairs-nav-item" hidden>
                            <!-- link to a page for viewing repairs. Admins get a different html for now -->
                            <a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
                        </li>
                        <li class="nav-item" id="create-repair-nav-item" hidden>
                            <a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
                        </li>
                        <li class="nav-item" id="account-nav-item" hidden>
                            <!-- page to view and edit accounts -->
                            <a class="nav-link" href="../accounts/update-account.html">Account</a>
                        </li>
                        <li class="nav-item" id="all-accounts-nav-item" hidden>
                            <a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
                        </li>
                        <li class="nav-item" id="logout-nav-item" hidden>
                            <a class="nav-link" href="#">Log Out</a>
                        </li>
                    </ul>
                </div>
                <!-- navbar links -->
            </div>
        </nav>
    </header>
    <!--
        ----------------------------------------------------------------------------
        Main body
        ----------------------------------------------------------------------------
    -->

    <main class="mt5">
        <div class="container">
            <h1>Update your account</h1>
            <div class="col-md-6" id="update-account-form-submission-response" hidden>
                <!-- reponse is added here -->
            </div>
            <form id="update-account-form" class="row g-3">
                <input type="hidden" id="update-account-form-role">
                <div class="col-md-6">
                    <label for="update-account-form-first-name" class="col-form-label">First Name:</label>
                    <input type="text" class="form-control" id="update-account-form-first-name"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your first name
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="update-account-form-last-name" class="col-form-label">Last Name:</label>
                    <input type="text" class="form-control" id="update-account-form-last-name"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your last name
                    </div>
                </div>
                <div class="col-md-6">
                    <label for="update-account-form-email" class="col-form-label">Last Name:</label>
                    <input type="email" class="form-control" id="update-account-form-email"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your email
                    </div>
                </div>
                <div class="col-md-6">
                    <!-- If I add password hashing, make a separate password update form -->
                    <label for="update-account-form-password" class="col-form-label">Last Name:</label>
                    <input type="password" class="form-control" id="update-account-form-password"
                        onblur="automaticValidation(this)" required>
                    <div class="invalid-feedback">
                        Please enter your current or a new password
                    </div>
                </div>
                <div class="col-md-12">
                    <button type="submit" class="btn btn-primary">Update</button>
                </div>
            </form>
            <br><br>
            <h4>Delete your account</h4>
            <button class="btn btn-danger" data-bs-toggle="modal"
                data-bs-target="#delete-confirmation-modal">Delete</button>
        </div>
    </main>

    <div class="modal fade" id="delete-confirmation-modal" tabindex="-1"
        aria-labelledby="delete-confirmation-modal-label" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="delete-confirmation-modal-label">Are you <em>sure</em> you want to
                        delete your account?</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-danger" onclick="deleteUser()">Delete</button>
                </div>
            </div>
        </div>
    </div>

    <!-- JS imports -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
        crossorigin="anonymous"></script>
    <script src="../js/server-requests.js"></script>
    <script src="../js/nav-bar.js"></script>
    <script src="./update-account.js"></script>
</body>

</html>